﻿using Microsoft.Win32;
using System.Diagnostics;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BlockLargeFilesRTB
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void rtb_ClipboardPasting(object sender, C1.WPF.RichTextBox.Documents.ClipboardEventArgs e)
        {
            if (Clipboard.ContainsImage())
            {
                BitmapSource img = Clipboard.GetImage();
                if(img.Height > 500 && img.Width > 500)
                {
                    e.Handled = true;
                    MessageBox.Show("File size is too large...");
                }
            }
        }
    }
}